return {
	"nvim-treesitter/nvim-treesitter",
	event = { "BufReadPre", "BufNewFile" },
	build = ":TSUpdate",
	dependencies = {
		"windwp/nvim-ts-autotag",
	},
	config = function()
		require("nvim-treesitter.configs").setup({
			highlight = {
				enable = true,
				additional_vim_regex_highlighting = false,
			},
			indent = { enable = true },
			autotag = { enable = true },
			ensure_installed = {
				"bash",
				"fish",
				"http",
				"html",
				"php",
				"css",
				"scss",
				"gitignore",
				"git_config",
				"markdown",
				"markdown_inline",
				"dockerfile",
				"yaml",
				"json",
				"javascript",
				"typescript",
				"graphql",
				"lua",
				"query",
				"c",
				"prisma",
				"hyprlang",
				"ini",
				"passwd",
				"vim",
				"vimdoc",
				-- "sh",
			},
			incremental_selection = {
				enable = true,
				keymaps = {
					init_selection = "<C-space>",
					node_incremental = "<C-space>",
					scope_incremental = false,
					node_decremental = "<bs>",
				},
			},
			-- Add these fields to address the error
			sync_install = true,
			auto_install = true,
		})
	end,
}
